﻿using System;
using System.Linq;
using System.Web.Mvc;
using DateAxis_Kendo.Models;

namespace DateAxis_Kendo.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult _TBTData()
        {
            return Json(new TimeBasedTrendsGraphModel[] {
                new TimeBasedTrendsGraphModel { ID = 1, dtDate = new DateTime(2012, 1, 1), sTypeLabel = "CourtesyDriver", dValue = 5 },
                new TimeBasedTrendsGraphModel { ID = 1, dtDate = new DateTime(2012, 1, 1), sTypeLabel = "VanDrivers", dValue = 10 },
                new TimeBasedTrendsGraphModel { ID = 1, dtDate = new DateTime(2012, 1, 2), sTypeLabel = "CourtesyDriver", dValue = 15 },
                new TimeBasedTrendsGraphModel { ID = 1, dtDate = new DateTime(2012, 1, 2), sTypeLabel = "VanDrivers", dValue = 20 }
            });
        }
    }
}
